/**
 * Account helper
 *
 * @author Pierre Hubert
 */

import { serverRequest } from "./APIHelper";

export interface AuthOptions {
	reset_token: string;
}

export class AccountHelper {
	/**
	 * Check whether access token are available
	 * or not
	 */
	static get hasAccessToken(): boolean {
		// TODO : implement support
		return false;
	}

	/**
	 * Get authentication options for a given email address
	 *
	 * @param mail Requested email
	 */
	static async getAuthOptions(mail: string): Promise<AuthOptions> {
		return await serverRequest("accounts/auth_options", {
			mail: mail,
		});
	}
}
